# View Donation History
source: https://developer.mastercard.com/donations/documentation/use-cases/manage-donation-trns/view-dona-hist/index.md

## Overview {#overview}

The **Donation History** endpoint retrieves a list of donation transactions made by a donor in a given period. This helps donors to review a report of the amount of donations they have made. To fetch a donor's donation history, provide the unique `donor_id` as the endpoint path parameter.

The donor can also limit the donation history to view the transactions made for either or all of these parameters for a specific:

* Payment card
* Charity
* Donation type   

If you provide only the donation period in the request body, Mastercard Donate fetches all the donations made by the donor for all the registered charities and donation types for the given period. A micro donation setup shows up in donation history only until the end of the month when the transaction happens.

![Review Impact](https://static.developer.mastercard.com/content/donations/uploads/view_impact_img.png "Review Impact")

## Sequence Diagram {#sequence-diagram}

The following outlines the sequence of events:

Diagram donationhistory

## Execution Steps {#execution-steps}

The following details the steps in the above sequence diagram:

1. The donor requests to view the impact of their donations.
2. The partner user interface requests the donation history from the partner server.
3. The partner server sends the `donorId` in the `POST donations/donors/{donorId}/transactions` request to Mastercard Donate to retrieve the list of transactions.
4. The Mastercard Donate Service returns a list of transactions including the `cardId`, `charityId`, `donationType`, `fromDate`, and `toDate`.
5. The partner server sends the donation history to the partner user interface.
6. The partner user interface displays the donation history of the donor.

## Endpoint {#endpoint}


API Reference: `POST /donors/{donor_id}/transactions`


API Reference: `GET /donors/{donor_id}/transactions`

## Endpoint Parameter {#endpoint-parameter}

For more details on the endpoint parameters, refer to the [Parameters to Retrieve Donation History](https://developer.mastercard.com/donations/documentation/parameters/track-donations-param/history/index.md) section.

## Sample Request and Response {#sample-request-and-response}

For more details on the sample request and response, refer to the [View a Report of the Donations Made](https://developer.mastercard.com/donations/tutorial/donation-api-details/historyapi/index.md#post-donors) tutorial.
